<template>
    <b-card bg-variant="success"
    id = "SuccessCard"
      :header="deployment.name"
      header-tag="header"
      header-bg-variant="white"
        header-text-variant="success"
      style= " border--radius : calc(0.25rem + 5px)"
      header-class="deployment-header-card"
    >
      <b-card-text>
        <b-row>
                   <b-col cols = "4" > <p  class="float-right"  style="color : white">Type: </p>
                   </b-col>
                   <b-col cols = "8"> <p  class="float-left " style="color : white"> {{ type }}</p>
                   </b-col>
               </b-row>
               <b-row>
                   <b-col cols = "4"> <p  class="float-right"  style="color : white"> Clearing: </p>
                   </b-col>
                   <b-col cols = "8"> <p  class="float-left"  style="color : white"> {{ ClearingOnCard }}</p>
                   </b-col>
               <!--    </b-col> -->
               </b-row>
              <b-row>
                   <b-col cols = "4"> <p  class="float-right"  style="color : white"> Status: </p>
                   </b-col>
                   <b-col cols = "8">
                     <b-button id="inactive"  class=" float-left" v-if="StatusButtonColor === 'red' "   variant="danger"  >
                        {{ this.deployment.status}}
                   </b-button>
                   <b-button  id="active"    class="float-left" v-if="StatusButtonColor ===  'green' "  variant="success"  >
         {{ this.deployment.status}}
                   </b-button>
                   <b-button  id="pending"  class="float-left"  v-if="StatusButtonColor === 'yellow' "  variant="warning" >
          {{ this.deployment.status}}
                   </b-button>
                   </b-col>
                <!--   </b-col> -->
                  </b-row>
               <b-row>
                   <b-col cols = "4"> <p  class="float-right"  style="color : white">Created:</p>
                   </b-col>
                   <b-col cols = "8"> <p class="float-left"  style="color : white">{{ this.localCreated }}</p>
                   </b-col>
               </b-row>
               <b-row>
                   <b-col cols = "4"><p  class="float-right"  style="color : white"> Updated:</p>
                   </b-col>
                   <b-col cols = "8"><p  class="float-left"  style="color : white">  {{ this.localUpdated }}</p>
                   </b-col>
               </b-row>
      </b-card-text>
      <b-button variant="" style = "background-color : #f1f22a  ; border  : 0px" >
      <router-link style="color : #555555" :to="{ name: 'deploymentView', params: { id: this.deployment.id }}"  v-b-tooltip.hover.bottomleft>
        Details >>
      </router-link>
       </b-button>
    </b-card>
</template>

<script>
// import {eventBus} from '../../main'
import moment from 'moment'

export default {
  name: 'deploymentCard',
  data () {
    return {
      type: '',
      ClearingOnCard: '',
      ChopedUpdated: '',
      ChopedCreated: '',
      localUpdated: '',
      localCreated: '',
      id: '',
      StatusButtonColor: ''
    }
  },
  props: {
    deployment: Object
  },
  mounted: function () {
    window.setInterval(() => {
      if (this.deployment.status === 'pending') {
        this.StatusButtonColor = 'yellow'
      }
      if (this.deployment.status === 'inactive') {
        this.StatusButtonColor = 'red'
      }
      if (this.deployment.status === 'active') {
        this.StatusButtonColor = 'green'
      }
    }, 3000)
  },
  created () {
    if (this.deployment.status === 'pending') {
      this.StatusButtonColor = 'yellow'
    }
    if (this.deployment.status === 'inactive') {
      this.StatusButtonColor = 'red'
    }
    if (this.deployment.status === 'active') {
      this.StatusButtonColor = 'green'
    }
    if (this.deployment.flavour === 1) {
      this.type = 'Electricity'
    }
    if (this.deployment.flavour === 2) {
      this.type = 'Flexibility'
    }
    if (this.deployment.flavour === 3) {
      this.type = 'Heat'
    }
    if (this.deployment.flavour === 4) {
      this.type = 'IT-load'
    }
    if (this.deployment.clearing === 1) {
      this.ClearingOnCard = 'Market-based'
    }
    if (this.deployment.clearing === 2) {
      this.ClearingOnCard = 'Selective'
    }
    if (this.deployment.clearing === 3) {
      this.ClearingOnCard = 'Best-fit'
    }
    this.ChopedUpdated = this.deployment.updated_at.slice(0, -8).replace('T', ' ')
    this.localUpdated = moment.utc(this.ChopedUpdated).format('YYYY-MM-DD HH:mm:ss')
    this.ChopedCreated = this.deployment.created_at.slice(0, -8).replace('T', ' ')
    this.localCreated = moment.utc(this.ChopedCreated).format('YYYY-MM-DD HH:mm:ss')
    this.id = this.deployment.id
  },
  methods: {
  }
}
</script>

<style scoped>

.deployment-header-card {
  border-radius : calc(0.25rem + 5px) calc(0.25rem + 5px) calc(0.25rem + 5px) calc(0.25rem + 5px) !important;
  margin : 3px ;
  border-bottom: 0px
}
.banner-fill {
  height: 180px !important;
  max-height: 180px !important;
  box-shadow: none !important;
}
.recipe-card:hover {
  box-shadow: 2px 2px 2px 2px #bbbbbb;
}
.card-img-top {
width: 100%;
height: 180px;
object-fit: cover;
}
#pending  {
     background-color : #f1f22a !important ;
     color : #555555 !important ;
     padding-top : 0.01rem !important;
     padding-bottom : 0.01rem !important ;
     border : 0px;
     cursor: not-allowed !important ;
     pointer-events: none !important;
      }
#active {
     border : 0px;
     background-color :white !important ;
     color : #22b574 !important ;
     padding-top : 0.01rem !important;
     padding-bottom : 0.01rem !important ;
     cursor: not-allowed !important ;
        pointer-events: none !important;
      }

#inactive {
     border : 0px;
     background-color : #f26076  !important ;
     color : white !important ;
     padding-top : 0.01rem !important;
     padding-bottom : 0.01rem !important  ;
     cursor: not-allowed !important ;
        pointer-events: none !important;
      }
#SuccessCard {
     background-color : #22b574 !important;
      }
</style>
